/*
	CMameView.h
	The BeMAME Team
	Created: 07/15/99 09:39:17
*/

#ifndef CMAMEVIEW_H
#define CMAMEVIEW_H

#include <View.h>
#include "osd_cpu.h"
#include "../input.h"
#include "keycode.h"


class CMameView : public BView {
public:
						CMameView(
							BRect			inFrame);
	virtual				~CMameView();
						
	static void			SetQuit();
	static void			ClearQuit();
	static int			ReadKey(
							int				inKeycode);

	virtual void		KeyDown(
							const char		*inBytes,
							int32			inNumBytes);
	virtual void		KeyUp(
							const char		*inBytes,
							int32			inNumBytes);
	virtual void		MessageReceived(
							BMessage		 *inMessage);
	virtual void		GetMouseDelta(
							int				*outDeltaX,
							int				*outDeltaY);
	virtual void		SetPenAtIdx(
							int32			inIdx,
							uint8			inRed,
							uint8			inGreen,
							uint8			inBlue);
	virtual void		Refresh();
	virtual BBitmap		*Bitmap() const { return NULL; }
	
protected:
	static bool sMB[3];
	static bool s1stMouseRead;
	static bool sQuit;
	static char sKey[eKey_Max];
};

#endif
